drunken-danger-zone
===================

Hi everyone!
If you're wondering where did all these libraries go - well, I decided to move them all to separate repositories. I will keep maintaining this repository with just a map of my iOS/ObjC repositories, so you can have an easy index.

## Here they are!

### Sound
* [DGToneGenerator](https://github.com/danielgindi/DGToneGenerator) - A DTMF tone generator
* [DGAudioTranscoder](https://github.com/danielgindi/DGAudioTranscoder) - An audio transcoding module - takes any source format, transcodes to any codec available on iOS/OSX.

### UI
* [Charts](https://github.com/danielgindi/ios-charts) - An iOS port of the beautiful MPAndroidChart
* [UITableViewRevealer](https://github.com/danielgindi/UITableViewRevealer) - A revealer for the UITableView - shows hidden views like timestamps in iMessage app.
* [DGFlatProgressBarView](https://github.com/danielgindi/DGFlatProgressBarView) - A flat progress bar view, as an alternative to UIProgressView
* [DGCurvedLabel](https://github.com/danielgindi/DGCurvedLabel) - A `UILabel` subclass that curves the text around an arc :-)
* [DGSlideViewController](https://github.com/danielgindi/DGSlideViewController/) - A sliding view controller for iOS
* [DGImageLoaderView](https://github.com/danielgindi/DGImageLoaderView) - A bullet-proof high-performance image view that loads from your URLs (web & local!)
* [DGKeyboardScrollHandler](https://github.com/danielgindi/DGKeyboardScrollHandler) - A helper to handle scrolling your UITableView or UIScrollView when the keyboard appears
* [DGBarcodeView](https://github.com/danielgindi/DGBarcodeView) - Barcode view with many encodings
* [DGButton](https://github.com/danielgindi/DGButton) - A UIButton subclass with support for setting image on opposite side, and RTLing image position
* [DGTextField](https://github.com/danielgindi/DGTextField) - A customizable UITextField subclass (change placeholder color, change content insets etc.)
* [DGDropdownView](https://github.com/danielgindi/DGDropdownView) - A customizable "drop view" like the iOS Push Notification
* [DGInputAccessoryToolbar](https://github.com/danielgindi/DGInputAccessoryToolbar) - A standard "prev/next/done" toolbar to put as inputAccessoryView for your keyboard
* [DGNumberBadgeView](https://github.com/danielgindi/DGNumberBadgeView) - A number badge view, similar to iOS' push notification badge
* [DGBorderedLabel](https://github.com/danielgindi/DGBorderedLabel) - An alternative to UILabel, with the option of a bordered text
* [DGPageControl](https://github.com/danielgindi/DGPageControl) - A customizable paging control, compatible alternative to UIPageControl
* [DGPickerButton](https://github.com/danielgindi/DGPickerButton) - A UIButton that can show a UIPickerView or UIDatePicker for options
* [DGTextFieldPickerView](https://github.com/danielgindi/DGTextFieldPickerView) - A UITextField that can show a UIPickerView or UIDatePicker for options
* [DGPopupView](https://github.com/danielgindi/DGPopupView) - A customizable popup view for iOS / ObjC
* [DGGrayScaleImage](https://github.com/danielgindi/DGGrayScaleImage) - A UIImage that represents a grayscale version of another UIImage
* [DGTintableImageView](https://github.com/danielgindi/DGTintableImageView) - A UIView that presents a UIImage with a tint to another color
* [DGLabelNumberAnimator](https://github.com/danielgindi/DGLabelNumberAnimator) - A helper library that will animate labels between two numbers
* [DGTwoSidedView](https://github.com/danielgindi/DGTwoSidedView) - A UIView subclass that has two sides, so you can flip it or move in 3d space
* [DGCompatibleSegmentedControl](https://github.com/danielgindi/DGCompatibleSegmentedControl) - A subclass of UISegmentControl that will render on iOS 6.0 like it's iOS 7.0
* [DGFocusImageGallery](https://github.com/danielgindi/DGFocusImageGallery) - An image gallery view controller

### General
* [DGDownloadManager](https://github.com/danielgindi/DGDownloadManager) - A simple download manager
* [DGLocationManager](https://github.com/danielgindi/DGLocationManager) - A singleton Location Manager as a replacement for CLLocationManager
* [DGStateBroadcaster](https://github.com/danielgindi/DGStateBroadcaster) - A broadcaster for several sensors (Low battery, distance travelled, location accuracy, network reachability)
* [DGSpreadSheetExport](https://github.com/danielgindi/DGSpreadSheetExport) - CSV or XMLSS (XML Spreadsheet) generation library for iOS / ObjC
* [DGGeocoding](https://github.com/danielgindi/DGGeocoding) - A geocoding services API wrapper
* [DGPhoneNumberFormatter](https://github.com/danielgindi/DGPhoneNumberFormatter) - An NSFormatter for phone numbers
* [DGTeaEncryptor](https://github.com/danielgindi/DGTeaEncryptor) - A lightweight TEA (XXTEA) encryption library
* [DGiTunesSearchApi](https://github.com/danielgindi/DGiTunesSearchApi) - A wrapper for iTunes' search API
* [DGFastImageSize](https://github.com/danielgindi/DGFastImageSize) - Retrieve image dimensions in no-time at all. High performance image dimension reader
* [DGPingUtility](https://github.com/danielgindi/DGPingUtility) - A pinger class

### Extension Categories
* [NSString+EmailValidation](https://github.com/danielgindi/NSString-EmailValidation) - An extension to NSString to for email address validation
* [NSString+Javascript](https://github.com/danielgindi/NSString-Javascript) - An extension to NSString to simply encode strings for JavaScript
* [NSString+Trims](https://github.com/danielgindi/NSString-Trims) - An extension to NSString to easily trim whitespace
* [NSUserDefaults+DefaultValues](https://github.com/danielgindi/NSUserDefaults-DefaultValues) - An extension to NSUserDefaults to retrieve values with an optional default value
* [UIRefreshControl+UITableView](https://github.com/danielgindi/UIRefreshControl-UITableView) - An extension to UIRefreshControl to setup a UIRefreshControl with a UITableView (a bugfix)

## Me
* Hi! I am Daniel Cohen Gindi. Or in short- Daniel.
* danielgindi@gmail.com is my email address.
* That's all you need to know.
